List Merchant Interval Changes
curl --request GET \
--url https://api.paygentic.io/v0/intervalChanges \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/intervalChanges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/intervalChanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"merchantId": "<string>",
"subscriptionId": "<string>",
"changeReason": "commercial",
"description": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"intervals": [
{
"intervalId": "<string>",
"before": {
"priceId": "<string>",
"priceKey": "<string>",
"planVersionId": "<string>",
"unitPrice": "<string>",
"resolvedUnitPrice": "<string>",
"baseQuantity": "<string>",
"quantityTransitions": [
{
"effectiveDate": "2023-11-07T05:31:56Z",
"quantity": "<string>"
}
],
"billingCadence": "<string>",
"billingMode": "advance",
"billDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
},
"after": {
"priceId": "<string>",
"priceKey": "<string>",
"planVersionId": "<string>",
"unitPrice": "<string>",
"resolvedUnitPrice": "<string>",
"baseQuantity": "<string>",
"quantityTransitions": [
{
"effectiveDate": "2023-11-07T05:31:56Z",
"quantity": "<string>"
}
],
"billingCadence": "<string>",
"billingMode": "advance",
"billDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
}
]
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Subscriptions
List Merchant Interval Changes
Lists the interval changes of all your subscriptions, oldest first. from is included and to is excluded.
GET
/
v0
/
intervalChanges
List Merchant Interval Changes
Authorizations
API key authentication
Query Parameters
Number of interval changes to return
Number of interval changes to skip
Only return changes recorded at or after this time
Only return changes recorded before this time
Only return changes with this reason.
Why a change was made. correction fixes data to match what was agreed; migration moves a contract from another system; commercial is a real change to the deal. Defaults to unspecified.
Available options:
commercial, correction, migration, unspecified Was this page helpful?